%define name		smb4k
%define version		0.8.0


%define lib_name_orig %mklibname smb4k
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


%define __libtoolize /bin/true

Summary:	A KDE SMB share browser
Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
Source:		http://download.berlios.de/smb4k/%{name}-%{version}.tar.bz2
License:	GPL
Packager:       Mandriva Linux KDE Team <kde@mandriva.com>
Group:		Networking/Other
Url:		http://smb4k.berlios.de
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	samba-client
BuildRequires:  kdebase-devel
BuildRequires:	autoconf2.5
BuildRequires:  desktop-file-utils
Requires:	%lib_name = %version-%release

%description
An SMB network and share browser for KDE 3.1 or later.

%package -n %lib_name-devel
Summary:	Headers files for smb4k
Group:		Development/KDE and Qt

Provides:	smb4k-devel = %version-%release

Provides:	%lib_name_orig-devel = %version-%release
Requires:       %lib_name = %version-%release

%description -n %lib_name-devel
Headers files for smb4k.


%package -n %lib_name
Summary:	Lib files for smb4k
Group:		Development/KDE and Qt


%description -n %lib_name
Lib files for smb4k.



%prep
%setup -q

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


%{?__cputoolize: %{__cputoolize} }

%configure2_5x \
		--disable-debug \
		--enable-shared \
		--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--disable-rpath 
		#--enable-final

%make

%install
rm -Rf %{buildroot}

%makeinstall_std

# Menu
desktop-file-install --vendor="" \
  --add-category="MandrivaLinux-Internet-FileTransfer" \
  --add-category="Network" \
  --add-category="FileTransfer" \
  --add-category="P2P" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

# Icons
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/crystalsvg/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s %{_iconsdir}/crystalsvg/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s %{_iconsdir}/crystalsvg/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}

# Fix KDE's absolute symlinks
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en/smb4k/
ln -sf ../common
 popd

#remove buildroot path from libtool files:
perl -pi -e  "s,-L$RPM_BUILD_DIR\S+,,g" %{buildroot}/%{_libdir}/kde3/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}*
%{_datadir}/applications/kde/smb4k.desktop
%{_datadir}/apps/smb4k
%doc %_docdir/HTML/en/smb4k
%{_iconsdir}/crystalsvg/*/apps/smb4k.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_datadir/apps/konqsidebartng/add/smb4k_add.desktop


%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/kde3/konqsidebar_smb4k.la
%_libdir/kde3/konqsidebar_smb4k.so

%_libdir/libsmb4kcore.la
%_libdir/libsmb4kcore.so.*
%_libdir/libsmb4kwidgets.la
%_libdir/libsmb4kwidgets.so.*


%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*.h
%_libdir/libsmb4kcore.so
%_libdir/libsmb4kwidgets.so


%changelog
* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-3mdv2007.0
+ Revision: 106739
- fix provides

* Tue Jan 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 103055
- Fix BuildRequires
- Fix symplinks for doc
- Kill old debian menu style

* Fri Dec 22 2006 Laurent Montel <lmontel@mandriva.com> 0.8.0-1mdv2007.1
+ Revision: 101485
- 0.8.0

* Mon Nov 27 2006 Laurent Montel <lmontel@mandriva.com> 0.7.5-1mdv2007.1
+ Revision: 87355
- 0.7.5

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 0.7.4-1mdv2007.1
+ Revision: 83284
- 0.7.4

* Thu Oct 19 2006 Laurent Montel <lmontel@mandriva.com> 0.7.3-1mdv2007.0
+ Revision: 71226
- 0.7.3
- Import smb4k



* Thu Aug 03 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1
- 0.7.2

* Sun Jun 18 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.1-1
- 0.7.1

* Sun Apr 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.0-1
- 0.7.0

* Mon Apr 17 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.10-1
- 0.6.10

* Fri Mar 24 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.9-1
- 0.6.9

* Sat Mar 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.8-2mdk
- Complete french translation (Ticket # 20096)

* Mon Feb 27 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.8-1
- 0.6.8

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.7-1
- 0.6.7

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.6-1
- 0.6.6

* Sat Jan 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.5-1
- 0.6.5

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-1
- 0.6.4

* Wed Aug 31 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-1
- 0.6.3

* Tue Aug 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-2
- Add patch1: disable ok button when smb url is empty

* Mon Aug 29 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-1
- New release (security fix)
- Fix compile under x86_64

* Mon Aug 01 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.1-1mdk
- New release 0.6.1
- update compatability macros, remove unused macros, fix source url
- run ldconfig in lib package scriplets
- make devel package require lib package
- remove buildroot path from libtool files

* Mon Jul 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 2 0.6.0
- Fix build on x86_64

* Fri Jun 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 1 0.6.0
- 0.6.0

* Thu Feb 17 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0--r 1 0.5.0
- 0.5.0

* Tue Dec 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3
- implement distro-specific release tag and use mkver for pre-version
  handling

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-3mdk
- Rebuild with new menu conversion table

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.4.0-2mdk
- Rebuild

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Tue Apr 13 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-3mdk
- require samba-client (#9481)
- drop unused libsmbclient-devel buildrequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.3.2-2mdk
- Fix menu

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Diego CLAEYS (Romax MANIAX) :
	- Update to new version 0.3.2

* Wed Jan 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.1-2mdk
- Texstar->Mandrake
- Cleanups

* Thu Nov 19 2003 Texstar
- Change name in menu to Local Network Browser
- Update to new version 0.3.1

* Thu Oct 23 2003 Texstar
- Update to version 0.3.0a

* Sat Jun 28 2003 Texstar
- New update to fix win98 share lookup

* Fri Jun 27 2003 Texstar
- New Release bug fixes

* Sat Jun 14 2003 Texstar
- Rebuild without libsmbclient rpms installed

* Fri Jun 13 2003 Texstar
- Initial Build for Mandrake 9.1
